{******************************************************************************}
{                                                                              }
{ Excel Interface Component                                                    }
{ Component ExcelConstants.inc                                                 }
{ This interface component can be downloaded at www.tcoq.org, component page.  }
{                                                                              }
{ The contents of this file are subject to the Mozilla Public License Version  }
{ 1.1 (the "License"); you may not use this file except in compliance with the }
{ License. You may obtain a copy of the License at http://www.mozilla.org/MPL/ }
{                                                                              }
{ Software distributed under the License is distributed on an "AS IS" basis,   }
{ WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for }
{ the specific language governing rights and limitations under the License.    }
{                                                                              }
{ The Original Code is ExcelUtilities.pas                                      }
{                                                                              }
{ The Initial Developer of the Original Code is Thierry.Coq                    }
{ thierry.coq(at)centraliens.net                                               }
{ Portions created by this individual are Copyright (C)                        }
{ 2000-2008 of this individual.                                                }
{                                                                              }
{ Last modified: 2009/07/25                                                    }
{ Version 0.4                                                                  }
{                                                                              }
{******************************************************************************}
// Constants for Various Excel functions and methods.
// See Excel Reference Manual for usage.
// a complete list for Excel 2003 is available here:
// - http://msdn.microsoft.com/en-us/library/aa221100(office.11).aspx
// For 2007, the list is available here:
// - http://msdn.microsoft.com/en-us/library/bb259478.aspx
const
  // dialog boxes
  xlDialogSetBackgroundPicture = $000001EC;
  xlDialogAutoCorrect = $000001E5;
  xlDialogFileSharing = $000001E1;
  xlDialogVbaMakeAddin = $000001DE;
  xlDialogActiveCellFont = $000001DC;
  xlDialogFindFile = $000001DB;
  xlDialogProperties = $000001DA;
  xlDialogSummaryInfo = $000001DA;
  xlDialogScenarioMerge = $000001D9;
  xlDialogStandardWidth = $000001D8;
  xlDialogMailEditMailer = $000001D6;
  xlDialogSeriesOrder = $000001D2;
  xlDialogFormatChart = $000001D1;
  xlDialogErrorbarY = $000001D0;
  xlDialogErrorbarX = $000001CF;
  xlDialogSeriesY = $000001CE;
  xlDialogSeriesX = $000001CD;
  xlDialogSeriesAxes = $000001CC;
  xlDialogOptionsListsAdd = $000001CA;
  xlDialogSaveCopyAs = $000001C8;
  xlDialogFunctionWizard = $000001C2;
  xlDialogFilter = $000001BF;
  xlDialogPushbuttonProperties = $000001BD;
  xlDialogOpenText = $000001B9;
  xlDialogEditboxProperties = $000001B6;
  xlDialogListboxProperties = $000001B5;
  xlDialogLabelProperties = $000001B4;
  xlDialogCheckboxProperties = $000001B3;
  xlDialogPivotFieldUngroup = $000001B2;
  xlDialogPivotFieldGroup = $000001B1;
  xlDialogFormatCharttype = $000001A7;
  xlDialogTextToColumns = $000001A6;
  xlDialogPivotShowPages = $000001A5;
  xlDialogScrollbarProperties = $000001A4;
  xlDialogWorkbookProtect = $000001A1;
  xlDialogWorkbookTabSplit = $0000019F;
  xlDialogSubtotalCreate = $0000018E;
  xlDialogTabOrder = $0000018A;
  xlDialogChartAddData = $00000188;
  xlDialogAddChartAutoformat = $00000186;
  xlDialogGalleryCustom = $00000184;
  xlDialogWorkbookName = $00000182;
  xlDialogWorkbookUnhide = $00000180;
  xlDialogMacroOptions = $0000017E;
  xlDialogFontProperties = $0000017D;
  xlDialogInsertTitle = $0000017C;
  xlDialogDataLabel = $0000017B;
  xlDialogMailNextLetter = $0000017A;
  xlDialogFilterAdvanced = $00000172;
  xlDialogOptionsGeneral = $00000164;
  xlDialogOptionsTransition = $00000163;
  xlDialogWorkbookInsert = $00000162;
  xlDialogChartTrend = $0000015E;
  xlDialogGalleryDoughnut = $00000158;
  xlDialogInsertPicture = $00000156;
  xlDialogMailLogon = $00000153;
  xlDialogRoutingSlip = $00000150;
  xlDialogVbaProcedureDefinition = $0000014A;
  xlDialogVbaInsertFile = $00000148;
  xlDialogOptionsChart = $00000145;
  xlDialogAttachToolbars = $00000143;
  xlDialogMenuEditor = $00000142;
  xlDialogAddinManager = $00000141;
  xlDialogOptionsView = $00000140;
  xlDialogOptionsEdit = $0000013F;
  xlDialogOptionsCalculation = $0000013E;
  xlDialogPivotFieldProperties = $00000139;
  xlDialogPivotTableWizard = $00000138;
  xlDialogScenarioSummary = $00000137;
  xlDialogScenarioEdit = $00000134;
  xlDialogScenarioAdd = $00000133;
  xlDialogScenarioCells = $00000131;
  xlDialogWorkbookNew = $0000012E;
  xlDialogFillWorkgroup = $0000012D;
  xlDialogPlacement = $0000012C;
  xlDialogAssignToTool = $00000125;
  xlDialogChartWizard = $00000120;
  xlDialogSaveWorkspace = $0000011D;
  xlDialogWorkbookOptions = $0000011C;
  xlDialogWorkbookCopy = $0000011B;
  xlDialogWorkbookMove = $0000011A;
  xlDialogWorkbookAdd = $00000119;
  xlDialogCustomizeToolbar = $00000114;
  xlDialogGallery3dSurface = $00000111;
  xlDialogGallery3dBar = $00000110;
  xlDialogFormatAuto = $0000010D;
  xlDialogMove = $00000106;
  xlDialogSize = $00000105;
  xlDialogInsertObject = $00000103;
  xlDialogZoom = $00000100;
  xlDialogEditionOptions = $000000FB;
  xlDialogGalleryRadar = $000000F9;
  xlDialogDefineStyle = $000000E5;
  xlDialogEditSeries = $000000E4;
  xlDialogFormatOverlay = $000000E2;
  xlDialogFormatMain = $000000E1;
  xlDialogEditColor = $000000DF;
  xlDialogPrintPreview = $000000DE;
  xlDialogShowToolbar = $000000DC;
  xlDialogSubscribeTo = $000000DA;
  xlDialogCreatePublisher = $000000D9;
  xlDialogObjectProtection = $000000D6;
  xlDialogAssignToObject = $000000D5;
  xlDialogApplyStyle = $000000D4;
  xlDialogSaveNewObject = $000000D0;
  xlDialogObjectProperties = $000000CF;
  xlDialogShowDetail = $000000CC;
  xlDialogDemote = $000000CB;
  xlDialogPromote = $000000CA;
  xlDialogUpdateLink = $000000C9;
  xlDialogFillGroup = $000000C8;
  xlDialogWorkgroup = $000000C7;
  xlDialogGoalSeek = $000000C6;
  xlDialogView3d = $000000C5;
  xlDialogGallery3dPie = $000000C4;
  xlDialogGallery3dLine = $000000C3;
  xlDialogGallery3dColumn = $000000C2;
  xlDialogGallery3dArea = $000000C1;
  xlDialogSortSpecial = $000000C0;
  xlDialogConsolidate = $000000BF;
  xlDialogStandardFont = $000000BE;
  xlDialogSendMail = $000000BD;
  xlDialogOpenMail = $000000BC;
  xlDialogOverlayChartType = $000000BA;
  xlDialogMainChartType = $000000B9;
  xlDialogAppSize = $000000AB;
  xlDialogAppMove = $000000AA;
  xlDialogChangeLink = $000000A6;
  xlDialogColorPalette = $000000A1;
  xlDialogSetUpdateStatus = $0000009F;
  xlDialogNote = $0000009A;
  xlDialogFormatFont = $00000096;
  xlDialogCopyChart = $00000093;
  xlDialogSaveWorkbook = $00000091;
  xlDialogOutline = $0000008E;
  xlDialogSplit = $00000089;
  xlDialogReplaceFont = $00000086;
  xlDialogApplyNames = $00000085;
  xlDialogSelectSpecial = $00000084;
  xlDialogFormulaReplace = $00000082;
  xlDialogFormatSize = $00000081;
  xlDialogFormatMove = $00000080;
  xlDialogRowHeight = $0000007F;
  xlDialogNew = $00000077;
  xlDialogDeleteFormat = $0000006F;
  xlDialogDeleteName = $0000006E;
  xlDialogCopyPicture = $0000006C;
  xlDialogActivate = $00000067;
  xlDialogWorkspace = $0000005F;
  xlDialogUnhide = $0000005E;
  xlDialogParse = $0000005B;
  xlDialogFormatText = $00000059;
  xlDialogFormatLegend = $00000058;
  xlDialogScale = $00000057;
  xlDialogOverlay = $00000056;
  xlDialogMainChart = $00000055;
  xlDialogPatterns = $00000054;
  xlDialogAttachText = $00000050;
  xlDialogAxes = $0000004E;
  xlDialogGridlines = $0000004C;
  xlDialogCombination = $00000049;
  xlDialogGalleryScatter = $00000048;
  xlDialogGalleryPie = $00000047;
  xlDialogGalleryLine = $00000046;
  xlDialogGalleryColumn = $00000045;
  xlDialogGalleryBar = $00000044;
  xlDialogGalleryArea = $00000043;
  xlDialogFormulaFind = $00000040;
  xlDialogFormulaGoto = $0000003F;
  xlDialogCreateNames = $0000003E;
  xlDialogDefineName = $0000003D;
  xlDialogInsert = $00000037;
  xlDialogEditDelete = $00000036;
  xlDialogPasteSpecial = $00000035;
  xlDialogClear = $00000034;
  xlDialogColumnWidth = $0000002F;
  xlDialogCellProtection = $0000002E;
  xlDialogBorder = $0000002D;
  xlDialogStyle = $0000002C;
  xlDialogAlignment = $0000002B;
  xlDialogFormatNumber = $0000002A;
  xlDialogTable = $00000029;
  xlDialogDataSeries = $00000028;
  xlDialogSort = $00000027;
  xlDialogDataDelete = $00000024;
  xlDialogExtract = $00000023;
  xlDialogCalculation = $00000020;
  xlDialogProtectDocument = $0000001C;
  xlDialogDisplay = $0000001B;
  xlDialogFont = $0000001A;
  xlDialogSetPrintTitles = $00000017;
  xlDialogRun = $00000011;
  xlDialogWindowMove = $0000000E;
  xlDialogWindowSize = $0000000D;
  xlDialogArrangeAll = $0000000C;
  xlDialogPrinterSetup = $00000009;
  xlDialogPrint = $00000008;
  xlDialogPageSetup = $00000007;
  xlDialogFileDelete = $00000006;
  xlDialogSaveAs = $00000005;
  xlDialogOpenLinks = $00000002;
  xlDialogOpen = $00000001;

  // Other Constants
  xlZero = $00000002;
  xlYes = $00000001;
  xlYearCode = $00000013;
  xlYear = $00000004;
  xlY = $00000001;
  xlX = $FFFFEFB8;
  xlWQ1 = $00000022;
  xlWPG = $00000003;
  xlWorksheetShort = $00000005;
  xlWorksheetCell = $00000003;
  xlWorksheet4 = $00000001;
  xlWorks2FarEast = $0000001C;
  xlWorkbookTab = $00000006;
  xlWorkbook = $00000001;
  xlWMF = $00000002;
  xlWKS = $00000004;
  xlWK3FM3 = $00000020;
  xlWK3 = $0000000F;
  xlWK1FMT = $0000001E;
  xlWK1ALL = $0000001F;
  xlWK1 = $00000005;
  xlWJ2WD1 = $0000000E;
  xlWindows = $00000002;
  xlWide = $00000003;
  xlWhole = $00000001;
  xlWeekdayNameChars = $0000001F;
  xlWeekday = $00000002;
  xlWatchPane = $0000000B;
  xlWait = $00000002;
  xlVisible = $0000000C;
  xlVeryHidden = $00000002;
  xlVertical = $FFFFEFBA;
  xlVarP = $FFFFEFBB;
  xlVar = $FFFFEFBC;
  xlValues = $FFFFEFBD;
  xlValue = $00000002;
  xlVALU = $00000008;

  //xlVAlign
  xlVAlignBottom = $FFFFEFF5;  // -4107
  xlVAlignCenter = $FFFFEFF4;  // -4108
  xlVAlignDistributed = $FFFFEFEB; // -4117
  xlVAlignJustify = $FFFFEFDE; //-4130
  xlVAlignTop = $FFFFEFC0; // -4160

  xlUserResolution = $00000001;
  xlUpward = $FFFFEFB5;
  xlUpperCaseRowLetter = $00000006;
  xlUpperCaseColumnLetter = $00000007;
  xlUpdateSubscriber = $00000002;
  xlUpdateState = $00000001;
  xlUp = $FFFFEFBE;
  xlTriangle = $00000003;
  xlTransparent = $00000002;
  xlToRight = $FFFFEFBF;
  xlTopToBottom = $00000001;
  xlTop10Percent = $00000005;
  xlTop10Items = $00000003;
  xlTop = $FFFFEFC0;
  xlToolbarButton = $00000002;
  xlToolbar = $00000001;
  xlToLeft = $FFFFEFC1;
  xlTitleBar = $00000008;
  xlTimeSeparator = $00000012;
  xlTimeLeadingZero = $0000002D;
  xlTiled = $00000001;
  xlTIF = $00000009;
  xlThousandsSeparator = $00000004;
  xlThin = $00000002;
  xlThick = $00000004;
  xlTextWindows = $00000014;
  xlTextValues = $00000002;
  xlTextPrinter = $00000024;
  xlTextMSDOS = $00000015;
  xlTextMac = $00000013;
  xlTextBox = $00000010;
  xlText = $FFFFEFC2;
  xlTemplate = $00000011;
  xlTableBody = $00000008;
  xlSyllabary = $00000001;
  xlSYLK = $00000002;
  xlSum = $FFFFEFC3;
  xlSubtract = $00000003;
  xlSubscribers = $00000006;
  xlSubscriber = $00000002;
  xlStrict = $00000002;
  xlStretch = $00000001;
  xlStError = $00000004;
  xlStDevP = $FFFFEFC4;
  xlStDev = $FFFFEFC5;
  xlStar = $00000005;
  xlStandardSummary = $00000001;
  xlStack = $00000002;
  xlSquare = $00000001;
  xlSortValues = $00000001;
  xlSortLabels = $00000002;
  xlSolid = $00000001;
  xlSingleQuote = $00000002;
  xlSingleAccounting = $00000004;
  xlSingle = $00000002;
  xlSimple = $FFFFEFC6;
  xlShowValue = $00000002;
  xlShowPercent = $00000003;
  xlShowLabelAndPercent = $00000005;
  xlShowLabel = $00000004;
  xlShort = $00000001;
  xlShared = $00000002;
  xlSeries = $00000003;
  xlSendPublisher = $00000002;
  xlSemiGray75 = $0000000A;
  xlSemiautomatic = $00000002;
  xlSelect = $00000003;
  xlSecondCode = $00000018;
  xlSecondary = $00000002;
  xlScreenSize = $00000001;
  xlScreen = $00000001;
  xlScale = $00000003;
  xlRunningTotal = $00000005;
  xlRTF = $00000004;
  xlRowThenColumn = $00000001;
  xlRowSeparator = $0000000F;
  xlRowItem = $00000004;
  xlRowHeader = $FFFFEFC7;
  xlRowField = $00000001;
  xlRoutingInProgress = $00000001;
  xlRoutingComplete = $00000002;
  xlRightBracket = $0000000B;
  xlRightBrace = $0000000D;
  xlRight = $FFFFEFC8;
  xlRelRowAbsColumn = $00000003;
  xlRelative = $00000004;
  xlReference = $00000004;
  xlReadWrite = $00000002;
  xlReadOnly = $00000003;
  xlR1C1 = $FFFFEFCA;
  xlPublishers = $00000005;
  xlPublisher = $00000001;
  xlProduct = $FFFFEFCB;
  xlPrinter = $00000002;
  xlPrimary = $00000001;
  xlPrevious = $00000002;
  xlPowerTalk = $00000002;
  xlPower = $00000004;
  xlPortrait = $00000001;
  xlPolynomial = $00000003;
  xlPlusValues = $00000002;
  xlPlus = $00000009;
  xlPLT = $0000000C;
  xlPlotArea = $00000013;
  xlPlaceholders = $00000002;
  xlPivotTable = $FFFFEFCC;
  xlPicture = $FFFFEFCD;
  xlPICT = $00000001;
  xlPIC = $0000000B;
  xlPercentOfTotal = $00000008;
  xlPercentOfRow = $00000006;
  xlPercentOfColumn = $00000007;
  xlPercentOf = $00000003;
  xlPercentDifferenceFrom = $00000004;
  xlPercent = $00000002;
  xlPCX = $0000000A;
  xlPCT = $0000000D;
  xlPart = $00000002;
  xlPaperUser = $00000100;
  xlPaperTabloid = $00000003;
  xlPaperStatement = $00000006;
  xlPaperQuarto = $0000000F;
  xlPaperNote = $00000012;
  xlPaperLetterSmall = $00000002;
  xlPaperLetter = $00000001;
  xlPaperLegal = $00000005;
  xlPaperLedger = $00000004;
  xlPaperFolio = $0000000E;
  xlPaperFanfoldUS = $00000027;
  xlPaperFanfoldStdGerman = $00000028;
  xlPaperFanfoldLegalGerman = $00000029;
  xlPaperExecutive = $00000007;
  xlPaperEsheet = $0000001A;
  xlPaperEnvelopePersonal = $00000026;
  xlPaperEnvelopeMonarch = $00000025;
  xlPaperEnvelopeItaly = $00000024;
  xlPaperEnvelopeDL = $0000001B;
  xlPaperEnvelopeC65 = $00000020;
  xlPaperEnvelopeC6 = $0000001F;
  xlPaperEnvelopeC5 = $0000001C;
  xlPaperEnvelopeC4 = $0000001E;
  xlPaperEnvelopeC3 = $0000001D;
  xlPaperEnvelopeB6 = $00000023;
  xlPaperEnvelopeB5 = $00000022;
  xlPaperEnvelopeB4 = $00000021;
  xlPaperEnvelope9 = $00000013;
  xlPaperEnvelope14 = $00000017;
  xlPaperEnvelope12 = $00000016;
  xlPaperEnvelope11 = $00000015;
  xlPaperEnvelope10 = $00000014;
  xlPaperDsheet = $00000019;
  xlPaperCsheet = $00000018;
  xlPaperB5 = $0000000D;
  xlPaperB4 = $0000000C;
  xlPaperA5 = $0000000B;
  xlPaperA4Small = $0000000A;
  xlPaperA4 = $00000009;
  xlPaperA3 = $00000008;
  xlPaper11x17 = $00000011;
  xlPaper10x14 = $00000010;
  xlPageItem = $00000006;
  xlPageHeader = $00000002;
  xlPageField = $00000003;
  xlOverThenDown = $00000002;
  xlOutside = $00000003;
  xlOtherSessionChanges = $00000003;
  xlOr = $00000002;
  xlOpenSource = $00000003;
  xlOpen = $00000002;
  xlOpaque = $00000003;
  xlOneAfterAnother = $00000001;
  xlOn = $00000001;
  xlOLELinks = $00000002;
  xlOLELink = $00000000;
  xlOLEEmbed = $00000001;
  xlOff = $FFFFEFCE;
  xlNumbers = $00000001;
  xlNumber = $FFFFEFCF;
  xlNotYetRouted = $00000000;
  xlNotPlotted = $00000001;
  xlNotes = $FFFFEFD0;
  xlNoShapeChanges = $00000002;
  xlNorthwestArrow = $00000001;
  xlNormal = $FFFFEFD1;
  xlNonEnglishFunctions = $00000022;
  xlNone = $FFFFEFD2;
  xlNoncurrencyDigits = $0000001D;
  xlNoMailSystem = $00000000;
  xlNoDocuments = $00000003;
  xlNoDockingChanges = $00000003;
  xlNoChanges = $00000004;
  xlNoChange = $00000001;
  xlNoCap = $00000002;
  xlNoButtonChanges = $00000001;
  xlNo = $00000002;
  xlNextToAxis = $00000004;
  xlNext = $00000001;
  xlNarrow = $00000001;
  xlMultiply = $00000004;
  xlMSDOS = $00000003;
  xlMovingAvg = $00000006;
  xlMoveAndSize = $00000001;
  xlMove = $00000002;
  xlMonthNameChars = $0000001E;
  xlMonthLeadingZero = $00000029;
  xlMonthCode = $00000014;
  xlMonth = $00000003;
  xlModule = $FFFFEFD3;
  xlMixed = $00000002;
  xlMinuteCode = $00000017;
  xlMinusValues = $00000003;
  xlMinimum = $00000002;
  xlMinimized = $FFFFEFD4;
  xlMin = $FFFFEFD5;
  xlMicrosoftWord = $00000001;
  xlMicrosoftSchedulePlus = $00000007;
  xlMicrosoftProject = $00000006;
  xlMicrosoftPowerPoint = $00000002;
  xlMicrosoftMail = $00000003;
  xlMicrosoftFoxPro = $00000005;
  xlMicrosoftAccess = $00000004;
  xlMetric = $00000023;
  xlMedium = $FFFFEFD6;
  xlMDY = $0000002C;
  xlMaximum = $00000002;
  xlMaximized = $FFFFEFD7;
  xlMax = $FFFFEFD8;
  xlMAPI = $00000001;
  xlManualUpdate = $00000005;
  xlManual = $FFFFEFD9;
  xlMacrosheetCell = $00000007;
  xlMacintosh = $00000001;
  xlLowerCaseRowLetter = $00000008;
  xlLowerCaseColumnLetter = $00000009;
  xlLow = $FFFFEFDA;
  xlLotusHelp = $00000002;
  xlLong = $00000003;
  xlLogical = $00000004;
  xlLogarithmic = $FFFFEFDB;
  xlLocalSessionChanges = $00000002;
  xlLocalFormat2 = $00000010;
  xlLocalFormat1 = $0000000F;
  xlListSeparator = $00000005;
  xlList3 = $0000000C;
  xlList2 = $0000000B;
  xlList1 = $0000000A;
  xlLinearTrend = $00000009;
  xlLinear = $FFFFEFDC;
  // xlLineStyle:
  xlLineStyleNone = $FFFFEFD2;
  xlSlantDashDot = $D;

  xlLightVertical = $0000000C;
  xlLightUp = $0000000E;
  xlLightHorizontal = $0000000B;
  xlLightDown = $0000000D;
  xlLegend = $00000018;
  xlLeftToRight = $00000002;
  xlLeftBracket = $0000000A;
  xlLeftBrace = $0000000C;
  xlLeft = $FFFFEFDD;
  xlLastCell = $0000000B;
  xlLast = $00000001;
  xlLandscape = $00000002;
  xlJustify = $FFFFEFDE;
  xlIntlMacro = $00000019;
  xlIntlAddIn = $0000001A;
  xlInterrupt = $00000001;
  xlInterpolated = $00000003;
  xlInteger = $00000002;
  xlInside = $00000002;
  xlInfo = $FFFFEFDF;
  xlIndex = $00000009;
  xlImmediatePane = $0000000C;
  xlIcons = $00000001;
  xlIBeam = $00000003;
  xlHourCode = $00000016;
  xlHorizontal = $FFFFEFE0;
  xlHigh = $FFFFEFE1;
  xlHide = $00000003;
  xlHidden = $00000000;
  xlHGL = $00000006;
  // xlHAlign:
  xlHAlignCenter = $FFFFEFF4; //-4108
  xlHAlignCenterAcrossSelection  = $7; //7
  xlHAlignDistributed = $FFFFEFEB; // -4117
  xlHAlignFill = $5 ; //
  xlHAlignGeneral  = $1 ; //
  xlHAlignJustify  = $FFFFEFDE ; //-4130
  xlHAlignLeft = $FFFFEFDD ; //-4131
  xlHAlignRight = $FFFFEFC8 ; //-4152

  xlHairline = $00000001;
  xlGuess = $00000000;
  xlGrowthTrend = $0000000A;
  xlGrowth = $00000002;
  xlGridline = $00000016;
  xlGrid = $0000000F;
  xlGray8 = $00000012;
  xlGray75 = $FFFFEFE2;
  xlGray50 = $FFFFEFE3;
  xlGray25 = $FFFFEFE4;
  xlGray16 = $00000011;
  xlGeneralFormatName = $0000001A;
  xlGeneral = $00000001;
  xlFunction = $00000001;
  xlFullPage = $00000003;
  xlFreeFloating = $00000003;
  xlFormulas = $FFFFEFE5;
  xlFormula = $00000005;
  xlFormats = $FFFFEFE6;
  xlFloor = $00000017;
  xlFloating = $00000005;
  xlFixedWidth = $00000002;
  xlFixedValue = $00000001;
  xlFitToPage = $00000002;
  xlFirst = $00000000;
  xlFilterInPlace = $00000001;
  xlFilterCopy = $00000002;
  xlFillYears = $00000008;
  xlFillWeekdays = $00000006;
  xlFillValues = $00000004;
  xlFillSeries = $00000002;
  xlFillMonths = $00000007;
  xlFillFormats = $00000003;
  xlFillDefault = $00000000;
  xlFillDays = $00000005;
  xlFillCopy = $00000001;
  xlFill = $00000005;
  xlExternal = $00000002;
  xlExtended = $00000003;
  xlExponential = $00000005;
  xlExclusive = $00000003;
  xlExcelMenus = $00000001;
  xlExcelLinks = $00000001;
  xlExcel4Workbook = $00000023;
  xlExcel4 = $00000021;
  xlExcel3 = $0000001D;
  xlExcel2FarEast = $0000001B;
  xlExcel2 = $00000010;
  xlErrValue = $000007DF;
  xlErrRef = $000007E7;
  xlErrors = $00000010;
  xlErrorHandler = $00000002;
  xlErrNum = $000007F4;
  xlErrNull = $000007D0;
  xlErrName = $000007ED;
  xlErrNA = $000007FA;
  xlErrDiv0 = $000007D7;
  xlEPS = $00000008;
  xlEntireChart = $00000014;
  xlEditionDate = $00000002;
  xlDXF = $00000005;
  xlDRW = $00000004;
  xlDrawingObject = $0000000E;
  xlDownward = $FFFFEFB6;
  xlDownThenOver = $00000001;
  xlDown = $FFFFEFE7;
  xlDoughnut = $FFFFEFE8;
  xlDoubleQuote = $00000001;
  xlDoubleOpen = $00000004;
  xlDoubleClosed = $00000005;
  xlDoubleAccounting = $00000005;
  xlDouble = $FFFFEFE9;
  xlDot = $FFFFEFEA;
  xlDivide = $00000005;
  xlDistributed = $FFFFEFEB;
  xlDisabled = $00000000;
  xlDirect = $00000001;
  xlDifferenceFrom = $00000002;
  xlDIF = $00000009;
  xlDiamond = $00000002;
  xlDesktop = $00000009;
  xlDescending = $00000002;
  xlDelimited = $00000001;
  xlDefaultAutoFormat = $FFFFFFFF;
  xlDecimalSeparator = $00000003;
  xlDebugCodePane = $0000000D;
  xlDBF4 = $0000000B;
  xlDBF3 = $00000008;
  xlDBF2 = $00000007;
  xlDayLeadingZero = $0000002A;
  xlDayCode = $00000015;
  xlDay = $00000001;
  xlDateSeparator = $00000011;
  xlDateOrder = $00000020;
  xlDate = $00000002;
  xlDataItem = $00000007;
  xlDataHeader = $00000003;
  xlDataField = $00000004;
  xlDatabase = $00000001;
  xlDashDotDot = $00000005;
  xlDashDot = $00000004;
  xlDash = $FFFFEFED;
  xlCut = $00000002;
  xlCustom = $FFFFEFEE;
  xlCurrencyTrailingZeros = $00000027;
  xlCurrencySpaceBefore = $00000024;
  xlCurrencyNegative = $0000001C;
  xlCurrencyMinusSign = $00000026;
  xlCurrencyLeadingZeros = $00000028;
  xlCurrencyDigits = $0000001B;
  xlCurrencyCode = $00000019;
  xlCurrencyBefore = $00000025;
  xlCSVWindows = $00000017;
  xlCSVMSDOS = $00000018;
  xlCSVMac = $00000016;
  xlCSV = $00000006;
  xlCross = $00000004;
  xlCrissCross = $00000010;
  xlCountrySetting = $00000002;
  xlCountryCode = $00000001;
  xlCountNums = $FFFFEFEF;
  xlCount = $FFFFEFF0;
  xlCorner = $00000002;
  xlCopy = $00000001;
  xlContinuous = $00000001;
  xlContents = $00000002;
  xlConstants = $00000002;
  xlConsolidation = $00000003;
  xlCommand = $00000002;
  xlCombination = $FFFFEFF1;
  xlColumnThenRow = $00000002;
  xlColumnSeparator = $0000000E;
  xlColumnItem = $00000005;
  xlColumnHeader = $FFFFEFF2;
  xlColumnField = $00000002;
  xlColumn = $00000003;
  xlColor3 = $00000009;
  xlColor2 = $00000008;
  xlColor1 = $00000007;
  xlCodePage = $00000002;
  xlClosed = $00000003;
  xlClipboardFormatWK1 = $0000000A;
  xlClipboardFormatVALU = $00000001;
  xlClipboardFormatToolFacePICT = $0000001A;
  xlClipboardFormatToolFace = $00000019;
  xlClipboardFormatText = $00000000;
  xlClipboardFormatTable = $00000010;
  xlClipboardFormatSYLK = $00000006;
  xlClipboardFormatStandardScale = $0000001B;
  xlClipboardFormatStandardFont = $0000001C;
  xlClipboardFormatScreenPICT = $0000001D;
  xlClipboardFormatRTF = $00000007;
  xlClipboardFormatPrintPICT = $00000003;
  xlClipboardFormatPICT = $00000002;
  xlClipboardFormatOwnerLink = $00000011;
  xlClipboardFormatObjectLink = $00000013;
  xlClipboardFormatObjectDesc = $0000001F;
  xlClipboardFormatNative = $0000000E;
  xlClipboardFormatMovie = $00000018;
  xlClipboardFormatLinkSourceDesc = $00000020;
  xlClipboardFormatLinkSource = $00000017;
  xlClipboardFormatLink = $0000000B;
  xlClipboardFormatEmbedSource = $00000016;
  xlClipboardFormatEmbeddedObject = $00000015;
  xlClipboardFormatDspText = $0000000C;
  xlClipboardFormatDIF = $00000004;
  xlClipboardFormatCSV = $00000005;
  xlClipboardFormatCGM = $0000000D;
  xlClipboardFormatBitmap = $00000009;
  xlClipboardFormatBinary = $0000000F;
  xlClipboardFormatBIFF4 = $0000001E;
  xlClipboardFormatBIFF3 = $00000014;
  xlClipboardFormatBIFF2 = $00000012;
  xlClipboardFormatBIFF = $00000008;
  xlClipboard = $00000003;
  xlClassic3 = $00000003;
  xlClassic2 = $00000002;
  xlClassic1 = $00000001;
  xlCircle = $00000008;
  xlChronological = $00000003;
  xlChecker = $00000009;
  xlChartTitles = $00000012;
  xlChartShort = $00000006;
  xlChartSeries = $00000011;
  xlChartInPlace = $00000004;
  xlChartAsWindow = $00000005;
  xlChart4 = $00000002;
  xlChangeAttributes = $00000006;
  xlCGM = $00000007;
  xlCenterAcrossSelection = $00000007;
  xlCenter = $FFFFEFF4;
  xlCategory = $00000001;
  xlCascade = $00000007;
  xlCap = $00000001;
  xlCancel = $00000001;
  xlByRows = $00000001;
  xlByColumns = $00000002;
  xlButton = $0000000F;
  xlBuiltIn = $00000000;
  xlBottom10Percent = $00000006;
  xlBottom10Items = $00000004;
  xlBottom = $FFFFEFF5;
  xlBoth = $00000001;
  xlBMP = $00000001;
  xlBlanks = $00000004;
  xlBitmap = $00000002;
  xlBIFF = $00000002;
  xlBelow = $00000001;
  xlBar = $00000002;
  xlAxis = $00000015;
  xlAverage = $FFFFEFF6;
  xlAutoOpen = $00000001;
  xlAutomaticUpdate = $00000004;
  xlAutomatic = $FFFFEFF7;
  xlAutoFill = $00000004;
  xlAutoDeactivate = $00000004;
  xlAutoClose = $00000002;
  xlAutoActivate = $00000003;
  xlAscending = $00000001;
  xlArea = $00000001;
  xlAnd = $00000001;
  xlAlternateArraySeparator = $00000010;
  xlAllExceptBorders = $00000006;
  xlAllAtOnce = $00000002;
  xlAll = $FFFFEFF8;
  xlAddIn = $00000012;
  xlAdd = $00000002;
  xlAccounting4 = $00000011;
  xlAccounting3 = $00000006;
  xlAccounting2 = $00000005;
  xlAccounting1 = $00000004;
  xlAbsRowRelColumn = $00000002;
  xlAbsolute = $00000001;
  xlAbove = $00000000;
  xlA1 = $00000001;
  xl4DigitYears = $0000002B;
  xl3DSurface = $FFFFEFF9;
  xl3DPie = $FFFFEFFA;
  xl3DLine = $FFFFEFFB;
  xl3DEffects2 = $0000000E;
  xl3DEffects1 = $0000000D;
  xl3DColumn = $FFFFEFFC;
  xl3DBar = $FFFFEFFD;
  xl3DArea = $FFFFEFFE;
  xl24HourClock = $00000021;


